<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListaTipuriSume StructType
 * @subpackage Structs
 */
class ListaTipuriSume extends AbstractStructBase
{
    /**
     * The sume
     * @var \ArrayType\ArrayOfTipsuma
     */
    public $sume;
    /**
     * The dataCalcul
     * @var string
     */
    public $dataCalcul;
    /**
     * The timestamp
     * @var string
     */
    public $timestamp;
    /**
     * The check
     * @var string
     */
    public $check;
    /**
     * Constructor method for ListaTipuriSume
     * @uses ListaTipuriSume::setSume()
     * @uses ListaTipuriSume::setDataCalcul()
     * @uses ListaTipuriSume::setTimestamp()
     * @uses ListaTipuriSume::setCheck()
     * @param \ArrayType\ArrayOfTipsuma $sume
     * @param string $dataCalcul
     * @param string $timestamp
     * @param string $check
     */
    public function __construct(\ArrayType\ArrayOfTipsuma $sume = null, $dataCalcul = null, $timestamp = null, $check = null)
    {
        $this
            ->setSume($sume)
            ->setDataCalcul($dataCalcul)
            ->setTimestamp($timestamp)
            ->setCheck($check);
    }
    /**
     * Get sume value
     * @return \ArrayType\ArrayOfTipsuma|null
     */
    public function getSume()
    {
        return $this->sume;
    }
    /**
     * Set sume value
     * @param \ArrayType\ArrayOfTipsuma $sume
     * @return \StructType\ListaTipuriSume
     */
    public function setSume(\ArrayType\ArrayOfTipsuma $sume = null)
    {
        $this->sume = $sume;
        return $this;
    }
    /**
     * Get dataCalcul value
     * @return string|null
     */
    public function getDataCalcul()
    {
        return $this->dataCalcul;
    }
    /**
     * Set dataCalcul value
     * @param string $dataCalcul
     * @return \StructType\ListaTipuriSume
     */
    public function setDataCalcul($dataCalcul = null)
    {
        // validation for constraint: string
        if (!is_null($dataCalcul) && !is_string($dataCalcul)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataCalcul, true), gettype($dataCalcul)), __LINE__);
        }
        $this->dataCalcul = $dataCalcul;
        return $this;
    }
    /**
     * Get timestamp value
     * @return string|null
     */
    public function getTimestamp()
    {
        return $this->timestamp;
    }
    /**
     * Set timestamp value
     * @param string $timestamp
     * @return \StructType\ListaTipuriSume
     */
    public function setTimestamp($timestamp = null)
    {
        // validation for constraint: string
        if (!is_null($timestamp) && !is_string($timestamp)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($timestamp, true), gettype($timestamp)), __LINE__);
        }
        $this->timestamp = $timestamp;
        return $this;
    }
    /**
     * Get check value
     * @return string|null
     */
    public function getCheck()
    {
        return $this->check;
    }
    /**
     * Set check value
     * @param string $check
     * @return \StructType\ListaTipuriSume
     */
    public function setCheck($check = null)
    {
        // validation for constraint: string
        if (!is_null($check) && !is_string($check)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($check, true), gettype($check)), __LINE__);
        }
        $this->check = $check;
        return $this;
    }
}
